<template>
  <v-app :style="'font-family: ' + font">
    <!--Start App Header  ----------------------------------------------->
    <Header></Header>
    <!--End   App Header  ----------------------------------------------->

    <!--Start App Content ----------------------------------------------->
    <v-main class="secondary">
      <v-container fluid class="px-lg-14">
        <transition name="fade" mode="out-in">
          <router-view :key="$route.path" />
        </transition>
      </v-container>
    </v-main>
    <!--End   App Content ----------------------------------------------->
  </v-app>
</template>

<script>
import { mapGetters } from "vuex";
import Header from "@/components/app/Header";

export default {
  components: { Header },

  computed: {
    ...mapGetters({
      font: "lang/font",
    }),
  },
};
</script>

<style scoped lang="scss">
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.5s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
  opacity: 0;
}
</style>
